View Issue Details

IDProjectCategoryView StatusLast Update
14258Bug reports[All Projects] Otherpublic2019-04-30 09:10
ReporterritapasAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.15.x 
Summary14258: Path to preview image broken when creating a custom admin theme
Description

When showing a custom admin theme created in upload/admintheme , the page in Configuration->Themes-> Admin Themes doesn't point to the correct path of the preview image, which appears to be
themes/admin/<CustomAdminThemeName>/preview.png
instead of
upload/admintheme/<CustomAdminThemeName>/preview.png

Steps To Reproduce

Create a theme in
<LimesurveyInstallationDir>/upload/admintheme/

Go to the page in Configuration->Themes-> Admin Themes to find it.

Tagsadmintheme
Complete LimeSurvey version number (& build)3.14.11 build 180926
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariaDb, dbversionuumber 355
Server OS (if known)RHL7
Webserver software & version (if known)httpd-2.4.6
PHP Versionrh-php71-1-1

Activities

guest

guest

2018-11-22 17:10

viewer   ~49742

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28549

Related Changesets

LimeSurvey: master af241035

2018-11-22 17:08:37

Dominik Vitt

Details Diff
Fixed issue 14258: Path to preview image broken when creating a custom admin theme Affected Issues
14258
mod - application/models/AdminTheme.php Diff File

Issue History

Date Modified Username Field Change
2018-11-15 13:44 ritapas New Issue
2018-11-15 13:46 ritapas Tag Attached: admintheme
2018-11-22 16:55 dominikvitt Assigned To => dominikvitt
2018-11-22 16:55 dominikvitt Status new => assigned
2018-11-22 17:10 Changeset attached => LimeSurvey master af241035
2018-11-22 17:10 guest Note Added: 49742
2018-11-22 17:10 guest Resolution open => fixed
2018-11-22 17:14 dominikvitt Status assigned => resolved
2018-11-22 17:14 dominikvitt Fixed in Version => 3.15.x
2019-04-30 09:10 c_schmitz Status resolved => closed